std::domain_error(3cxx)

NAME
std::domain_error

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions

domain_error (const char *) _GLIBCXX_TXN_SAFE
domain_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 147 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.